#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - procps installation
#
# Creation   :  2013-01-02 holbru
# Last update:  $Id: postinstall-procps.sh 41008 2016-03-18 21:56:03Z hbfl $
#
# Copyright (c) 2013-2016 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=procps

update_2_2_1()
{
# ---------------------------------------------------------------------------
# generate symlinks
# ---------------------------------------------------------------------------
lib_names=""

cd /lib

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0644 root root ${package_name} lib/${LinkSRC}" \
          >>/etc/filelist.d/${package_name}-files.txt
done
# ---------------------------------------------------------------------------
# running ldconfig
# ---------------------------------------------------------------------------
/sbin/ldconfig

# ---------------------------------------------------------------------------
# generate symlinks, UsrMerge ---------------------------------------------------------------------------

cd /usr/bin/
rm -f snice
ln -f skill snice
rm -f pkill
ln -f pgrep pkill


cd /bin
rm -f ps
ln -sf ../usr/bin/ps

cd /sbin
rm -f sysctl
ln -sf ../usr/sbin/sysctl


# remove old lib

rm -f /lib/libproc-3.2.8.so
}


# ---------------------------------------------------------------------------
# update-2.7.1
# ---------------------------------------------------------------------------
update_2_7_1()
{
    cd /usr/bin/
    # create hardlinks
    rm -f snice
    ln -f skill snice
    rm -f pkill
    ln -f pgrep pkill
    cd /
    rm -f /lib/libprocps.so.1
    rm -f /lib/libprocps.so.1.1.2
}
# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
